# Class RecordingSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents configuration settings used to control recording behavior.

    public class RecordingSettings

Inheritance
  object
  RecordingSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### Recording

    public const string Recording = "RecordingSettings"

#### Field Value

string

## Properties

### HttpClientTimeout

    public int HttpClientTimeout { get; set; }

#### Property Value

int

### RecordingApiUrl

    public string RecordingApiUrl { get; set; }

#### Property Value

string

### RecordingOrApiClientId

    public string RecordingOrApiClientId { get; set; }

#### Property Value

string

### RecordingOrApiClientSecret

    public string RecordingOrApiClientSecret { get; set; }

#### Property Value

string